Bug 6537 - Simplified sysprefs for the web installer
Summary: Simplified sysprefs for the web installer
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Magnus Enger
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-28 13:15 UTC by Magnus Enger
Modified: 2013-12-05 19:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proof-of-concept patc 1/3 (137.01 KB, patch)
2011-06-28 16:31 UTC, Magnus Enger
Details | Diff | Splinter Review
Proof-of-concept patch 2/3 (950 bytes, patch)
2011-06-28 16:32 UTC, Magnus Enger
Details | Diff | Splinter Review
Proof-of-concept patch 3/3 (68.39 KB, patch)
2011-06-28 16:32 UTC, Magnus Enger
Details | Diff | Splinter Review
Patch 1/5 - Make English sysprefs the default (138.96 KB, patch)
2011-08-06 01:18 UTC, Magnus Enger
Details | Diff | Splinter Review
Patch 2/5 - Make web installer use default sysprefs file (950 bytes, patch)
2011-08-06 01:19 UTC, Magnus Enger
Details | Diff | Splinter Review
Patch 3/5 - New, simplified sysprefs files for all the languages (705.00 KB, patch)
2011-08-06 01:21 UTC, Magnus Enger
Details | Diff | Splinter Review
Patch 4/5 - Remove syspref related tests in xt/ (8.58 KB, patch)
2011-08-06 01:22 UTC, Magnus Enger
Details | Diff | Splinter Review
Patch 5/5 - Fix a problem in French syspref file (1.00 KB, patch)
2011-08-06 01:29 UTC, Magnus Enger
Details | Diff | Splinter Review
proposed fix signed-off and squashed (852.95 KB, patch)
2011-08-09 11:55 UTC, Paul Poulain
Details | Diff | Splinter Review
follow-up for french UNIMARC (5.03 KB, patch)
2011-08-09 11:56 UTC, Paul Poulain
Details | Diff | Splinter Review
Signed off Paul's followup patch (5.10 KB, patch)
2011-08-09 12:10 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Magnus Enger 2011-06-28 16:31:48 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-06-28 16:32:19 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2011-06-28 16:32:55 UTC Comment hidden (obsolete)
Comment 4 Magnus Enger 2011-06-28 16:43:49 UTC
Please note: The three attached patches are not a complete implementation of what I propose to do, but are meant as a "proof of concept" to see if this is the right way to do it. The changes are also available here: https://github.com/MagnusEnger/kohawork/commits/bug6537-sysprefs

To test: 

- Apply the patches
- Run through the web installer in English
- Check that sysprefs work as expected
- Install German translations
- Run through the web installer in German
- Check that sysprefs work as expected
- Check that borrowerRelationship = Vater|Mutter and BorrowersTitles = Herr|Frau

Questions: 

- Does this look like a feasible way of simplifying the handling of sysprefs for the web installer? 

- Should I delete unused columns (explanation, options?) from the systempreferences table while I'm at it? 

TODO

- Create simplified syspres.sql files for all languages
- See http://wiki.koha-community.org/wiki/Simplified_syspref_handling_RFC#Things_to_remember for more
Comment 5 Magnus Enger 2011-08-06 01:18:22 UTC Comment hidden (obsolete)
Comment 6 Magnus Enger 2011-08-06 01:19:43 UTC Comment hidden (obsolete)
Comment 7 Magnus Enger 2011-08-06 01:21:21 UTC Comment hidden (obsolete)
Comment 8 Magnus Enger 2011-08-06 01:22:14 UTC Comment hidden (obsolete)
Comment 9 Magnus Enger 2011-08-06 01:29:06 UTC Comment hidden (obsolete)
Comment 10 Magnus Enger 2011-08-06 01:31:40 UTC
Changes are also available here: 
https://github.com/MagnusEnger/kohawork/commits/bug6537-sysprefs

I'll send a proper "request to pull" to the patches list once I figure out how to do it (again)...
Comment 11 Paul Poulain 2011-08-09 11:55:31 UTC
Created attachment 4903 [details] [review]
proposed fix signed-off and squashed

Works perfectly. I've tested with french setup, all sysprefs are here after install. Some are already translated if I checked the "update french unimarc syspref" in the last part of the installer (pre-load datas)
Comment 12 Paul Poulain 2011-08-09 11:56:51 UTC Comment hidden (obsolete)
Comment 13 Magnus Enger 2011-08-09 12:10:42 UTC
Created attachment 4905 [details] [review]
Signed off Paul's followup patch

I can't speak to the French spellings or anything, but the followup patch from Paul does what it says and produces a valid SQL file in the end, so I'm signing off.
Comment 14 Ian Walls 2011-09-06 20:27:50 UTC
The actual code of these patches is quite minimal, and has been verified to work.  The bulk of the changes are moving data about; since what was the English file was just moved to the default file, and the differences in values taken and placed into update files.

While I do not have the language skills to evaluate every language here, I can mark the mechanic as Passing QA; any language-specific issues that come up can be addressed as they're discovered.
Comment 15 Chris Cormack 2011-09-06 21:24:11 UTC
Pushed, please test with a new install
Comment 16 MJ Ray (software.coop) 2012-07-27 13:09:04 UTC
I think this is in Stable now, isn't it?

Related but maybe off-topic: should all Pushed to Master bugs become Pushed to Stable on a new major version release? Shall I try to identify and change likely suspects?
Comment 17 Chris Cormack 2012-07-28 02:46:45 UTC
(In reply to comment #16)
> I think this is in Stable now, isn't it?
> 
> Related but maybe off-topic: should all Pushed to Master bugs become Pushed
> to Stable on a new major version release? Shall I try to identify and change
> likely suspects?

That would be great, yes, this was in 3.6.0
Comment 18 Magnus Enger 2012-10-10 07:12:46 UTC
This has been in use for a while now, without any complaints.